package com.dk.mdm.controller.mst;

import com.dk.common.model.pojo.PageList;
import com.dk.common.response.ResponseResultVO;
import com.dk.mdm.model.pojo.mst.GoodsBrand;
import com.dk.common.service.BaseService;
import com.dk.mdm.model.query.mst.GoodsBrandQuery;
import com.dk.mdm.model.response.mst.GoodsBrandResponse;
import com.dk.mdm.model.vo.mst.GoodsBrandVO;
import com.dk.mdm.model.vo.mst.RoleVo;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import io.swagger.annotations.Api;
import com.dk.mdm.service.mst.GoodsBrandService;

@Api(tags = "商品品牌API接口")
@RestController
@RequestMapping("/mst/goodsBrand")
public class GoodsBrandController {

    public BaseService<GoodsBrand> getService() {
        return goodsBrandService;
    }

    @Autowired
    private GoodsBrandService goodsBrandService;


    /**
     * @desc : 条件查询
     * @author : 于继渤
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"list_by"})
    public ResponseResultVO<PageList<GoodsBrandResponse>> selectByCond(@RequestBody GoodsBrandQuery goodsBrandQuery) {
        return goodsBrandService.selectByCond(goodsBrandQuery);
    }


    /**
     * @desc : 新建
     * @author : 于继渤
     * @date : 2023/1/5 9:39
     */
    @ApiOperation(value = "新建", notes = "新建")
    @PostMapping({"insert"})
    public ResponseResultVO<?> insert(@RequestBody GoodsBrandVO goodsBrandVO) {
        return goodsBrandService.insert(goodsBrandVO);
    }




    /**
     * @desc : 编辑
     * @author : 于继渤
     * @date : 2023/1/5 9:39
     */
    @ApiOperation( value = "编辑", notes = "编辑" )
    @PostMapping({"update"})
    public ResponseResultVO<?> update(@RequestBody GoodsBrandVO goodsBrandVO) {
        return goodsBrandService.updateGoodsBrand(goodsBrandVO);
    }



    /**
     * @desc : 停用
     * @author : 于继渤
     * @date :  2023/1/4 9:39
     */
    @PostMapping("disable/{id}")
    public ResponseResultVO<Boolean> disable(@PathVariable String id) {
        return this.getService().disable(id);
    }

    /**
     * @desc : 启用
     * @author : 于继渤
     * @date :  2023/1/4 9:39
     */
    @PostMapping("enable/{id}")
    public ResponseResultVO<Boolean> enable(@PathVariable String id) {
        return this.getService().enable(id);
    }
}
